@import "facetConfiguration.css";
.facetSearchResultSelect select[name$=-facetSearchResultSelect] {
  width: 90%;
}

.faced-search-results {
  background-color: #eeeeee;
  padding: 3%;
  border: 1px solid #bbbbbb !important;
}
.faced-search-results .portlet-title {
  border-bottom-width: 0;
}
.faced-search-results .op-filter-btn {
  position: absolute;
  right: 0;
  height: 25px;
  padding: 2px 12px;
  top: 7px;
  background-color: #ffffff;
  color: #3366cc;
  text-shadow: none;
  font-weight: bold;
  border-color: #bbbbbb;
  background-image: none;
}
.faced-search-results .op-filter-btn:hover {
  background-color: #cccccc;
  color: #FFFFFF;
}
.faced-search-results .second-op-filter-btn {
  margin-top: 20px;
  float: right;
  height: 25px;
  padding: 2px 12px;
  background-color: #ffffff;
  color: #3366cc;
  text-shadow: none;
  font-weight: bold;
  border-color: #bbbbbb;
  background-image: none;
}
.faced-search-results .second-op-filter-btn:hover {
  background-color: #cccccc;
  color: #FFFFFF;
}
.faced-search-results .facets-lists-container .menu-list .facet-childs-btn {
  font-weight: lighter !important;
  color: #333333 !important;
  font-size: 10px !important;
  line-height: 18px !important;
  position: absolute;
  left: 2px;
  margin: 0;
  width: 18px;
  height: 18px;
  background-color: #f5f5f5;
  border: none;
}
.faced-search-results .facets-lists-container .menu-list .facet-childs-btn.collapsed .glyphicon-chevron-right {
  display: block !important;
}
.faced-search-results .facets-lists-container .menu-list .facet-childs-btn.collapsed .glyphicon-chevron-down {
  display: none !important;
}
.faced-search-results .facets-lists-container .menu-list .facet-childs-btn .glyphicon-chevron-right {
  display: none !important;
}
.faced-search-results .facets-lists-container .menu-list .facet-childs-btn .glyphicon-chevron-down {
  display: block !important;
}
.faced-search-results .facets-lists-container .menu-list .facet-childs-btn .glyphicon-chevron-right,
.faced-search-results .facets-lists-container .menu-list .facet-childs-btn .glyphicon-chevron-down {
  color: #333333 !important;
}
.faced-search-results .facets-lists-container .menu-list .facet-child-values {
  background-color: #ffffff;
  width: 160%;
  border: none !important;
  z-index: 2;
  padding: 5%;
  max-height: unset !important;
  overflow-y: unset !important;
}
.faced-search-results .facets-lists-container .menu-list .facet-child-values-level-2 {
  background-color: #ffffff;
  width: 100%;
  border: 1px solid;
  z-index: 2;
  padding: 3%;
  max-height: 420px;
  overflow-y: scroll;
}
.faced-search-results .facets-lists-container .menu-list label.child-facet {
  display: flex;
  color: #444 !important;
  position: relative;
}
.faced-search-results .facets-lists-container-child {
  padding-left: 15px !important;
}
.faced-search-results .facets-lists-container-child input[type=checkbox] + span::before {
  left: 15px !important;
}
.faced-search-results .list-item.prime-facet > ul.colapsed + .dropdown {
  display: none;
}

.facetSearchResultSelect-ul:active,
.facetSearchResultSelect-ul:hover,
.facetSearchResultSelect-ul:focus {
  display: block;
}

.facet-search-container {
  display: flex;
  margin: 16px;
  gap: 3px;
  background: #FFFFFF;
  border: 1px solid #858585;
  border-radius: 3px;
}
.facet-search-container input[type=text] {
  background: transparent;
  margin: 0 !important;
  padding: 6px 9px 6px 12px;
  font-size: 16px !important;
  color: inherit !important;
  border: 1px solid transparent !important;
  border-radius: inherit !important;
}
.facet-search-container .btn-search {
  text-indent: -999px;
  overflow: hidden;
  width: 40px !important;
  padding: 0 !important;
  margin: 0;
  border: 1px solid transparent;
  border-radius: inherit !important;
  background: transparent url("data:image/svg+xml,%3Csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M15.7742 14.7137L11.5009 10.4405C12.5222 9.14853 13.0112 7.51505 12.8676 5.87441C12.7239 4.23378 11.9587 2.71009 10.7284 1.61525C9.49805 0.520422 7.89579 -0.0627381 6.24958 -0.0148455C4.60337 0.0330471 3.03772 0.70837 1.87314 1.87288C0.70857 3.03738 0.0331552 4.60299 -0.0148344 6.2492C-0.062824 7.8954 0.520241 9.4977 1.615 10.7281C2.70976 11.9584 4.23341 12.7238 5.87404 12.8675C7.51466 13.0112 9.14817 12.5224 10.4402 11.5011L14.7135 15.7744C14.8541 15.915 15.0449 15.9941 15.2438 15.9941C15.4427 15.9941 15.6335 15.915 15.7741 15.7744C15.9148 15.6337 15.9938 15.443 15.9938 15.2441C15.9938 15.0452 15.9148 14.8544 15.7741 14.7137H15.7742ZM1.50418 6.44811C1.50418 5.47027 1.79414 4.51439 2.33739 3.70135C2.88065 2.88831 3.6528 2.25461 4.55621 1.88041C5.45961 1.50621 6.45369 1.40829 7.41274 1.59906C8.37179 1.78983 9.25274 2.2607 9.94417 2.95213C10.6356 3.64357 11.1065 4.52451 11.2973 5.48356C11.488 6.44261 11.3901 7.43669 11.0159 8.3401C10.6417 9.2435 10.008 10.0157 9.19498 10.5589C8.38193 11.1022 7.42605 11.3921 6.44822 11.3921C5.13743 11.3907 3.88076 10.8693 2.9539 9.94242C2.02703 9.01556 1.50567 7.75889 1.50418 6.44811Z' fill='%23333333'/%3E%3C/svg%3E") no-repeat center;
  cursor: pointer !important;
}

.estimated-value,
.currency {
  padding: 6px 12px;
}

.estimated-value p,
.currency p {
  margin: 0;
  font-weight: 400;
  font-size: 13.5px;
  line-height: 16px;
  color: #666666;
}

input#estimated-minimum-value,
input#estimated-maximum-value,
input.estimated-value-input {
  border: none !important;
  font-size: 16px !important;
  color: #333333 !important;
  max-width: 100px;
  height: 23px;
  font-weight: 400;
  line-height: 20px;
}

select#minimum-currency,
select#maximum-currency {
  border: none;
  width: auto;
  font-weight: 400;
  font-size: 16px;
  -webkit-appearance: none;
  line-height: 20px;
  color: #333333;
  margin-top: 0;
  height: 23px;
}

.currency {
  width: 100%;
  background: #FFFFFF;
  border: none;
  padding: 0;
  margin-top: 15px;
}

.estimated-value {
  width: 100%;
  height: 51px;
  background: #FFFFFF;
  border: 1px solid #858585;
  border-radius: 3px;
  margin-right: 8px;
  margin-bottom: 8px;
}

.estimated-contract-value-container {
  margin: 12px 16px 12px 16px;
}

.expanded-values {
  width: 100%;
  margin: 0;
  list-style: none;
  padding: 10px 0 0;
  max-height: 400px;
  overflow-y: auto;
}

.collapsed-values {
  max-height: 400px;
  overflow-y: auto;
}

.facet-label {
  margin: 0;
  display: block;
  position: relative;
  overflow: auto;
  padding: 5px 5px 5px 30px;
}

span.checkbox-label {
  margin-left: 25px;
}

.facet-any-label, .facet-all-label {
  padding-left: 10px;
}

li.fixed {
  position: sticky;
  bottom: -1px;
  background-color: #FFF;
}

label.no-results {
  color: #444 !important;
}

.parent-facet,
.child-facet {
  padding-right: 30px;
}

.child-facet span.checkbox-label {
  margin-left: 30px;
}

.facet-child-values input[type=checkbox] + span::before {
  left: 0px !important;
}

input[checkbox-state=t] + span::before,
input[type=checkbox]:checked + span::before {
  padding: 0 !important;
  height: 18px !important;
  width: 18px !important;
}

li .facet-label.partial-checked > label > input[type=checkbox] + span.checkbox-label:before {
  background-image: url("data:image/svg+xml,%3Csvg width='12' height='2' viewBox='0 0 12 2' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M12 2H0V0H12V2Z' fill='white'/%3E%3C/svg%3E%0A");
  background-color: #858585 !important;
  background-repeat: no-repeat;
  background-position: center;
  /*transition: .1s;*/
  padding: 8px;
}

.facet-label button {
  top: 2px;
}

.facet-child-values {
  list-style: none;
}